## gate.annotation
Class DatabaseAnnotationSetImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractSet
                  |
                  +--gate.annotation.AnnotationSetImpl
                        |
                        +--gate.annotation.DatabaseAnnotationSetImpl

All Implemented Interfaces:
  AnnotationSet, Cloneable, Collection, DatastoreListener, EventAwareAnnotationSet, EventListener, Serializable, Set

public class DatabaseAnnotationSetImpl
extends AnnotationSetImpl
implements DatastoreListener, EventAwareAnnotationSet

See Also:
  Serialized Form

Inner classes inherited from class gate.annotation.AnnotationSetImpl
`AnnotationSetImpl.VerboseHashMap`

Constructor Summary
`DatabaseAnnotationSetImpl(Collection c)` Construction from Collection (which must be an AnnotationSet)
`DatabaseAnnotationSetImpl(Document doc)` Construction from Document.
`DatabaseAnnotationSetImpl(Document doc, Collection c)` Construction from Document and name.
`DatabaseAnnotationSetImpl(Document doc, String name)` Construction from Document and name.
`DatabaseAnnotationSetImpl(Document doc, String name, Collection c)` Construction from Document and name.

Method Summary
`void` `assertValid()`
`Collection` `getAddedAnnotations()`
`Collection` `getChangedAnnotations()`
`Collection` `getRemovedAnnotations()`
`void` `resourceAdopted(DatastoreEvent evt)` Called by a datastore when a new resource has been adopted
`void` `resourceDeleted(DatastoreEvent evt)` Called by a datastore when a resource has been deleted
`void` `resourceWritten(DatastoreEvent evt)` Called by a datastore when a resource has been wrote into the datastore
`String` `toString()`

Methods inherited from class gate.annotation.AnnotationSetImpl
`add, add, add, add, addAnnotationSetListener, addGateListener, clone, edit, equals, firstNode, get, get, get, get, get, get, get, get, get, get, getAllTypes, getContained, getDocument, getName, hashCode, iterator, lastNode, nextNode, remove, removeAnnotationSetListener, removeGateListener, size`

Methods inherited from class java.util.AbstractSet
`removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, clear, contains, containsAll, isEmpty, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gate.AnnotationSet
`add, add, add, add, addAnnotationSetListener, addGateListener, firstNode, get, get, get, get, get, get, get, get, get, get, getAllTypes, getContained, getDocument, getName, iterator, lastNode, nextNode, remove, removeAnnotationSetListener, removeGateListener, size`

Methods inherited from interface java.util.Set
`addAll, clear, contains, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, toArray, toArray`

Constructor Detail

### DatabaseAnnotationSetImpl

    public DatabaseAnnotationSetImpl(Document doc)

  Construction from Document.

### DatabaseAnnotationSetImpl

    public DatabaseAnnotationSetImpl(Document doc,
                                     String name)

  Construction from Document and name.

### DatabaseAnnotationSetImpl

    public DatabaseAnnotationSetImpl(Document doc,
                                     Collection c)

  Construction from Document and name.

### DatabaseAnnotationSetImpl

    public DatabaseAnnotationSetImpl(Document doc,
                                     String name,
                                     Collection c)

  Construction from Document and name.

### DatabaseAnnotationSetImpl

    public DatabaseAnnotationSetImpl(Collection c)
                              throws ClassCastException

  Construction from Collection (which must be an AnnotationSet)

Method Detail

### assertValid

    public void assertValid()

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection`

### resourceAdopted

    public void resourceAdopted(DatastoreEvent evt)

  Called by a datastore when a new resource has been adopted
  Specified by:
    `resourceAdopted` in interface `DatastoreListener`

### resourceDeleted

    public void resourceDeleted(DatastoreEvent evt)

  Called by a datastore when a resource has been deleted
  Specified by:
    `resourceDeleted` in interface `DatastoreListener`

### resourceWritten

    public void resourceWritten(DatastoreEvent evt)

  Called by a datastore when a resource has been wrote into the datastore
  Specified by:
    `resourceWritten` in interface `DatastoreListener`

### getAddedAnnotations

    public Collection getAddedAnnotations()

  Specified by:
    `getAddedAnnotations` in interface `EventAwareAnnotationSet`

### getChangedAnnotations

    public Collection getChangedAnnotations()

  Specified by:
    `getChangedAnnotations` in interface `EventAwareAnnotationSet`

### getRemovedAnnotations

    public Collection getRemovedAnnotations()

  Specified by:
    `getRemovedAnnotations` in interface `EventAwareAnnotationSet`